Package org.silverpeas.components.datawarning.model

## Class DataWarningQuery

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.datawarning.model.DataWarningQuery

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBeanIntf`

      public class DataWarningQuery
      extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `QUERY_CONDITION_AND` |
    `static int` | `QUERY_CONDITION_FIRST` |
    `static int` | `QUERY_CONDITION_OR` |
    `static int` | `QUERY_PERSO_NOT_VALID` |
    `static String` | `QUERY_PERSO_UID_EMAIL` |
    `static String` | `QUERY_PERSO_UID_ID` |
    `static String` | `QUERY_PERSO_UID_LASTNAME` |
    `static String` | `QUERY_PERSO_UID_LOGIN` |
    `static String` | `QUERY_PERSO_UID_SPECIFICID` |
    `static int` | `QUERY_PERSO_VALID` |
    `static int` | `QUERY_TYPE_RESULT` |
    `static int` | `QUERY_TYPE_TRIGGER` |
    `static int` | `TRIGGER_CONDITION_DIF` |
    `static int` | `TRIGGER_CONDITION_EG` |
    `static int` | `TRIGGER_CONDITION_INF` |
    `static int` | `TRIGGER_CONDITION_INF_OU_EG` |
    `static int` | `TRIGGER_CONDITION_SUP` |
    `static int` | `TRIGGER_CONDITION_SUP_OU_EG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningQuery()` |
    `DataWarningQuery​(String instanceId)` |
    `DataWarningQuery​(String instanceId, String description, String query, int queryCondition, int type, long theTrigger, int theTriggerCondition, long theTriggerPrecedent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `_getConnectionType()` |
    `String` | `_getTableName()` |
    `boolean` | `checkTriggerSatisfied​(long theValue)` |
    `boolean` | `checkTriggerSatisfied​(DataWarning dataModel)` |
    `DataWarningQueryResult` | `executeQuery​(DataWarning dataModel)` | return un tableau a deux dimensions : nom de colonne / valeur [0][...] = nom des colonnes [1][...] = valeurs associees [2][...] = valeurs associees [...][...]
    `String` | `getDescription()` |
    `String` | `getInstanceId()` |
    `int` | `getPersoColNB()` |
    `String` | `getPersoUID()` |
    `int` | `getPersoValid()` |
    `String` | `getQuery()` |
    `int` | `getQueryCondition()` |
    `long` | `getTheTrigger()` |
    `int` | `getTheTriggerCondition()` |
    `long` | `getTheTriggerPrecedent()` |
    `int` | `getType()` |
    `void` | `setDescription​(String description)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setPersoColNB​(int persoColNB)` |
    `void` | `setPersoUID​(String persoUID)` |
    `void` | `setPersoValid​(int persoValid)` |
    `void` | `setQuery​(String query)` |
    `void` | `setQueryCondition​(int queryCondition)` |
    `void` | `setTheTrigger​(long theTrigger)` |
    `void` | `setTheTriggerCondition​(int theTriggerCondition)` |
    `void` | `setTheTriggerPrecedent​(long theTriggerPrecedent)` |
    `void` | `setType​(int type)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `_getDatasourceName, _getJdbcData, getPK, getSureString, setPK`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUERY_CONDITION_FIRST

          public static final int QUERY_CONDITION_FIRST

      See Also:
        Constant Field Values

    - #### QUERY_CONDITION_AND

          public static final int QUERY_CONDITION_AND

      See Also:
        Constant Field Values

    - #### QUERY_CONDITION_OR

          public static final int QUERY_CONDITION_OR

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_RESULT

          public static final int QUERY_TYPE_RESULT

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_TRIGGER

          public static final int QUERY_TYPE_TRIGGER

      See Also:
        Constant Field Values

    - #### TRIGGER_CONDITION_SUP

          public static final int TRIGGER_CONDITION_SUP

      See Also:
        Constant Field Values

    - #### TRIGGER_CONDITION_SUP_OU_EG

          public static final int TRIGGER_CONDITION_SUP_OU_EG

      See Also:
        Constant Field Values

    - #### TRIGGER_CONDITION_INF

          public static final int TRIGGER_CONDITION_INF

      See Also:
        Constant Field Values

    - #### TRIGGER_CONDITION_INF_OU_EG

          public static final int TRIGGER_CONDITION_INF_OU_EG

      See Also:
        Constant Field Values

    - #### TRIGGER_CONDITION_EG

          public static final int TRIGGER_CONDITION_EG

      See Also:
        Constant Field Values

    - #### TRIGGER_CONDITION_DIF

          public static final int TRIGGER_CONDITION_DIF

      See Also:
        Constant Field Values

    - #### QUERY_PERSO_NOT_VALID

          public static final int QUERY_PERSO_NOT_VALID

      See Also:
        Constant Field Values

    - #### QUERY_PERSO_VALID

          public static final int QUERY_PERSO_VALID

      See Also:
        Constant Field Values

    - #### QUERY_PERSO_UID_ID

          public static final String QUERY_PERSO_UID_ID

      See Also:
        Constant Field Values

    - #### QUERY_PERSO_UID_LOGIN

          public static final String QUERY_PERSO_UID_LOGIN

      See Also:
        Constant Field Values

    - #### QUERY_PERSO_UID_LASTNAME

          public static final String QUERY_PERSO_UID_LASTNAME

      See Also:
        Constant Field Values

    - #### QUERY_PERSO_UID_SPECIFICID

          public static final String QUERY_PERSO_UID_SPECIFICID

      See Also:
        Constant Field Values

    - #### QUERY_PERSO_UID_EMAIL

          public static final String QUERY_PERSO_UID_EMAIL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataWarningQuery

          public DataWarningQuery()

    - #### DataWarningQuery

          public DataWarningQuery​(String instanceId)

    - #### DataWarningQuery

          public DataWarningQuery​(String instanceId,
                                  String description,
                                  String query,
                                  int queryCondition,
                                  int type,
                                  long theTrigger,
                                  int theTriggerCondition,
                                  long theTriggerPrecedent)

  - ### Method Detail

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getQuery

          public String getQuery()

    - #### setQuery

          public void setQuery​(String query)

    - #### getQueryCondition

          public int getQueryCondition()

    - #### setQueryCondition

          public void setQueryCondition​(int queryCondition)

    - #### getType

          public int getType()

    - #### setType

          public void setType​(int type)

    - #### getTheTrigger

          public long getTheTrigger()

    - #### setTheTrigger

          public void setTheTrigger​(long theTrigger)

    - #### getTheTriggerCondition

          public int getTheTriggerCondition()

    - #### setTheTriggerCondition

          public void setTheTriggerCondition​(int theTriggerCondition)

    - #### getTheTriggerPrecedent

          public long getTheTriggerPrecedent()

    - #### setTheTriggerPrecedent

          public void setTheTriggerPrecedent​(long theTriggerPrecedent)

    - #### _getConnectionType

          public int _getConnectionType()

      Specified by:
        `_getConnectionType` in interface `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBeanIntf`
      Overrides:
        `_getConnectionType` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

    - #### _getTableName

          public String _getTableName()

      Specified by:
        `_getTableName` in interface `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBeanIntf`
      Overrides:
        `_getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

    - #### executeQuery

          public DataWarningQueryResult executeQuery​(DataWarning dataModel)

      return un tableau a deux dimensions : nom de colonne / valeur [0][...] = nom des colonnes [1][...] = valeurs associees [2][...] = valeurs associees [...][...]

    - #### checkTriggerSatisfied

          public boolean checkTriggerSatisfied​(DataWarning dataModel)
                                        throws DataWarningException

      Throws:
        `DataWarningException`

    - #### checkTriggerSatisfied

          public boolean checkTriggerSatisfied​(long theValue)

    - #### getPersoColNB

          public int getPersoColNB()

      Returns:
        Returns the persoColNB.

    - #### setPersoColNB

          public void setPersoColNB​(int persoColNB)

      Parameters:
        `persoColNB` - The persoColNB to set.

    - #### getPersoUID

          public String getPersoUID()

      Returns:
        Returns the persoUID.

    - #### setPersoUID

          public void setPersoUID​(String persoUID)

      Parameters:
        `persoUID` - The persoUID to set.

    - #### getPersoValid

          public int getPersoValid()

      Returns:
        Returns the persoValid.

    - #### setPersoValid

          public void setPersoValid​(int persoValid)

      Parameters:
        `persoValid` - The persoValid to set.